Hello Everyone,
I made this lisp using google and I tested it's working >>> but stop suddenly not continuing the loop
I made a lot of searches but found nothing to fix my issue
This Lisp selects only Polylines with ARC segment and puts ARC Dimension
I have another Lisp to make dimensions to normal polyline and I will combine it ... can you help to fix the issue in this lisp, please
if you can make a favour and make a lisp to dimension all polylines ( normal & curved ) , you will save me from losing a lot of time. Thanks
(defun c:test ()
(defun *error* (msg)
(if (not (wcmatch (strcase msg) "*CANCEL*,*EXIT*"))
(princ (strcat "\nError: " msg))
)
(princ)
)
(vl-load-com)
(if (setq sel (ssget '((-4 . "<AND") (0 . "*POLYLINE")(-4 . "<>") (42 . 0.0) (-4 . "AND>"))))
(progn
(setq i 0)
(while (< i (sslength sel))
(setq MyEnt (ssname sel i))
(setq mid (vlax-curve-getPointAtDist MyEnt (/ (vlax-curve-getDistAtPoint MyEnt (vlax-curve-getEndPoint MyEnt)) 2.0)))
(command "_.DIMARC" MyEnt mid mid)
(setq i (+ i 1))
)
)
)
(princ)
)
Lisp.lsp
Test DWG.dwg